• Error upgrading java runtime


    Hi!
    I got the error >java-runtime-common: /usr/lib/jvm/default-runtime exists
    error when I tried pacman -Syu.

  • Hi!
    I got the error >java-runtime-common: /usr/lib/jvm/default-runtime exists
    error when I tried pacman -Syu.

  • I dito this.

    :: Synchronizing package databases...  
    core is up to date  
    extra 1766.6 KiB 4.42M/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    community 2.3 MiB 3.99M/s 00:01 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    multilib is up to date  
    antergos is up to date  
    :: Starting full system upgrade...  
    :: Replace java-common with extra/java-runtime-common? [Y/n] y  
    resolving dependencies...  
    looking for inter-conflicts...  
      
    Packages (15): boost-libs-1.56.0-2 gnutls-3.3.9-1 java-common-1-8 [removal]  
    java-runtime-common-2-1 jre7-openjdk-7.u65\_2.5.2-3  
    jre7-openjdk-headless-7.u65\_2.5.2-3 lib32-libtasn1-4.2-1  
    lib32-mesa-10.3.1-1 lib32-mesa-dri-10.3.1-1 lib32-pcre-8.36-1  
    lib32-xz-5.0.7-1 libogg-1.3.2-1 mesa-10.3.1-1  
    mesa-dri-10.3.1-1 vlc-2.1.5-4  
      
    Total Installed Size: 183.30 MiB  
    Net Upgrade Size: 0.04 MiB  
      
    :: Proceed with installation? [Y/n]   
    (14/14) checking keys in keyring [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    (14/14) checking package integrity [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    (14/14) loading package files [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    (14/14) checking for file conflicts [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    error: failed to commit transaction (conflicting files)  
    java-runtime-common: /usr/bin/java exists in filesystem  
    java-runtime-common: /usr/bin/keytool exists in filesystem  
    java-runtime-common: /usr/bin/orbd exists in filesystem  
    java-runtime-common: /usr/bin/pack200 exists in filesystem  
    java-runtime-common: /usr/bin/policytool exists in filesystem  
    java-runtime-common: /usr/bin/rmid exists in filesystem  
    java-runtime-common: /usr/bin/rmiregistry exists in filesystem  
    java-runtime-common: /usr/bin/servertool exists in filesystem  
    java-runtime-common: /usr/bin/tnameserv exists in filesystem  
    java-runtime-common: /usr/bin/unpack200 exists in filesystem  
    java-runtime-common: /usr/lib/jvm/default exists in filesystem  
    java-runtime-common: /usr/lib/jvm/default-runtime exists in filesystem  
    Errors occurred, no packages were upgraded.  
    
    

    Any ideas?

  • Haven’t tried it cause i don’t use java but think this should work:
    [https://www.archlinux.org/news/java-users-manual-intervention-required-before-upgrade][0]">[https://www.archlinux.org/news/java-use][1] … re-upgrade

    [0]: <a href=
    [1]: https://www.archlinux.org/news/java-use

  • Ah great. Works. :)

  • Thank’s, it works.

  • When using Arch which Antergos basically is this page is your bible: [https://www.archlinux.org][0]">[https://www.archlinux.org][1]

    Check it regularly.

    [0]: <a href=
    [1]: https://www.archlinux.org

Posts 8Views 1554
Log in to reply